public static interface DataSetTestEndpointBuilderFactory.DataSetTestBuilders
| Modifier and Type | Method and Description |
|---|---|
default DataSetTestEndpointBuilderFactory.DataSetTestEndpointBuilder |
datasetTest(String path)
DataSet Test (camel-dataset)
Extends the mock component by pulling messages from another endpoint
on startup to set the expected message bodies.
|
default DataSetTestEndpointBuilderFactory.DataSetTestEndpointBuilder |
datasetTest(String componentName,
String path)
DataSet Test (camel-dataset)
Extends the mock component by pulling messages from another endpoint
on startup to set the expected message bodies.
|
default DataSetTestEndpointBuilderFactory.DataSetTestEndpointBuilder datasetTest(String path)
dataset-test:name
Path parameter: name (required)
Name of endpoint to lookup in the registry to use for polling
messages used for testingpath - namedefault DataSetTestEndpointBuilderFactory.DataSetTestEndpointBuilder datasetTest(String componentName, String path)
dataset-test:name
Path parameter: name (required)
Name of endpoint to lookup in the registry to use for polling
messages used for testingcomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel